Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.klomp.snark
Class PeerCoordinatorSet

    java.lang.Object
      org.klomp.snark.PeerCoordinatorSet

    public class PeerCoordinatorSet

extends Object

Hmm, any guesses as to what this is? Used by the multitorrent functionality in the PeerAcceptor to pick the right PeerCoordinator to accept the con for. Each PeerCoordinator is added to the set from within the Snark (and removed from it there too)

Constructor Summary
`PeerCoordinatorSet()`

Method Summary
`void` | `add(PeerCoordinator coordinator)`
`Iterator` | `iterator()`
`void` | `remove(PeerCoordinator coordinator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PeerCoordinatorSet

    public PeerCoordinatorSet()

Method Detail

### iterator

    public Iterator iterator()

### add

    public void add(PeerCoordinator coordinator)

### remove

    public void remove(PeerCoordinator coordinator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD